Skip to main content

List all appointments present for the Resource identified by the supplied ID

GET 

/calendar-backend/api/v1/resources/:id/appointments

List all appointments present for the Resource identified by the supplied ID:

  • Note that one may use the query params start and end like this: .../appointments?start=2013-04-01T00:00:00.000+0000&end=2013-04-21T00:00:00.000+0000 to reduce the list of appointments returned to only return ones starting between two specified dates. One can also

  • use: .../appointments?start=2013-04-01T00:00:00.000+0000 to just return appointments starting AFTER the specified date. The same applies with BEFORE if you only specify an "end" criteria.

Request​

Responses​

A Json list of com.qmatic.qp.calendar.model.Appointment